﻿namespace Section5_11.ViewModels
{
    using System;
    using YKToolkit.Bindings;

    public class MainViewModel : NotificationObject
    {
        private DelegateCommand writeBitmapCommand;
        /// <summary>
        /// ビットマップ保存コマンドを取得します。
        /// </summary>
        public DelegateCommand WriteBitmapCommand
        {
            get
            {
                return writeBitmapCommand ?? (writeBitmapCommand = new DelegateCommand(_ =>
                {
                    WriteBitmapCallback = GetBitmapFileName;
                }));
            }
        }

        private Func<string> writeBitmapCallback;
        /// <summary>
        /// ビットマップ保存先フルパスを返すコールバックを取得します。
        /// </summary>
        public Func<string> WriteBitmapCallback
        {
            get { return writeBitmapCallback; }
            set { SetProperty(ref writeBitmapCallback, value); }
        }

        /// <summary>
        /// ビットマップ保存先フルパスを取得します。
        /// </summary>
        /// <returns>ファイルのフルパス</returns>
        private string GetBitmapFileName()
        {
            WriteBitmapCallback = null;
            return "D:\\test.bmp";
        }
    }
}
