﻿namespace Section5_6.ViewModels
{
    using System;
    using YKToolkit.Bindings;

    public class MainViewModel : NotificationObject
    {
        /// <summary>
        /// ファイルドロップに対するコールバックを取得します。
        /// </summary>
        public Action<string[]> FileDropCallback
        {
            get { return OnFileDrop; }
        }

        /// <summary>
        /// ファイルドロップ時のコールバック
        /// </summary>
        /// <param name="filenames">ファイル名配列</param>
        private void OnFileDrop(string[] filenames)
        {
            foreach (var filename in filenames)
            {
                System.Console.WriteLine(filename);
            }
        }
    }
}
