﻿namespace Section5_7
{
    using Section5_7.ViewModels;
    using Section5_7.Views;
    using System.Windows;

    /// <summary>
    /// App.xaml の相互作用ロジック
    /// </summary>
    public partial class App : Application
    {
        /// <summary>
        /// 現在の WPF Application のインスタンスを取得します。
        /// </summary>
        public static App Instance { get { return Application.Current as App; } }

        private MainView _mainView;

        protected override void OnStartup(StartupEventArgs e)
        {
            base.OnStartup(e);

            var vm = new MainViewModel();

            _mainView = new MainView();
            _mainView.DataContext = vm;
            _mainView.Show();
        }

        /// <summary>
        /// メインウィンドウを最小化します。
        /// </summary>
        public void MinimizeMainView()
        {
            if (_mainView != null)
                _mainView.WindowState = WindowState.Minimized;
        }

        /// <summary>
        /// メインウィンドウを最大化または元に戻します。
        /// </summary>
        public void MaximizeMainView()
        {
            if (_mainView != null)
            {
                if (_mainView.WindowState == WindowState.Normal)
                    _mainView.WindowState = WindowState.Maximized;
                else
                    _mainView.WindowState = WindowState.Normal;
            }
        }
    }
}
