﻿namespace Section5_7.ViewModels
{
    using YKToolkit.Bindings;

    public class MainViewModel : NotificationObject
    {
        private bool isEnabled;
        /// <summary>
        /// 有効性を取得または設定します。
        /// </summary>
        public bool IsEnabled
        {
            get { return isEnabled; }
            set { SetProperty(ref isEnabled, value); }
        }

        private DelegateCommand minimizeCommand;
        /// <summary>
        /// 最小化コマンドを取得します。
        /// </summary>
        public DelegateCommand MinimizeCommand
        {
            get
            {
                return minimizeCommand ?? (minimizeCommand = new DelegateCommand(
                _ =>
                {
                    App.Instance.MinimizeMainView();
                },
                _ => IsEnabled));
            }
        }

        private DelegateCommand maximizeCommand;
        /// <summary>
        /// 最大化コマンドを取得します。
        /// </summary>
        public DelegateCommand MaximizeCommand
        {
            get
            {
                return maximizeCommand ?? (maximizeCommand = new DelegateCommand(
                _ =>
                {
                    App.Instance.MaximizeMainView();
                },
                _ => IsEnabled));
            }
        }
    }
}
